Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.msml
Class Appearance

    java.lang.Object
      de.grogra.imp3d.msml.X3DMSMLDatatype
          de.grogra.imp3d.msml.Appearance

All Implemented Interfaces:
  MSMLDatatype

    public class Appearance

extends X3DMSMLDatatype

Constructor Summary
`Appearance()`

Method Summary
`void` | `export(java.lang.Object writer, org.w3c.dom.Document doc, org.w3c.dom.Element data, Node n)`
`Node` | `export(Registry registry, org.w3c.dom.Node node, Node n, java.net.URL baseURL)`
`static void` | `exportShader(java.lang.Object writer, org.w3c.dom.Document doc, org.w3c.dom.Element data, Shader s, java.lang.String defname)`

Methods inherited from class de.grogra.imp3d.msml.X3DMSMLDatatype
`convertMatrix2AxisAngle, getAttributeContent, getAxisAngle4fFromString, getBufferedImageFromSFImage, getStringFromAxisAngle4d, getStringFromBufferedImage, getStringFromVector2f, getStringFromVector3d, getStringFromVector3f, getURLfromString, getVector2fFromString, getVector3fFromChannelMap, getVector3fFromString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Appearance

    public Appearance()

Method Detail

### export

    public void export(java.lang.Object writer,
                       org.w3c.dom.Document doc,
                       org.w3c.dom.Element data,
                       Node n)

### export

    public Node export(Registry registry,
                       org.w3c.dom.Node node,
                       Node n,
                       java.net.URL baseURL)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### exportShader

    public static void exportShader(java.lang.Object writer,
                                    org.w3c.dom.Document doc,
                                    org.w3c.dom.Element data,
                                    Shader s,
                                    java.lang.String defname)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD